%define	name ewl
%define version 0.5.3.050
%define release %mkrel 2

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d
%define __libtoolize    /bin/true

Summary: 	Enlightenment widget library
Name: 		%{name}
Version:	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	evas-devel
BuildRequires:	ecore-devel
BuildRequires:  edje-devel
BuildRequires:  edje
BuildRequires:	embryo-devel
BuildRequires:  embryo
Buildrequires:	efreet-devel 
BuildRequires:  emotion-devel
Buildrequires:  epsilon-devel
Buildrequires:  imlib2-devel
Buildrequires:  X11-devel
Buildrequires:  libxp-devel
BuildRequires:	gettext-devel

%description
Enlightened Widget Library (EWL)  provides a widget abstraction to creating
GUI's using Evas and Edje. The use of edje allows for easy creation of fairly
advanced themes.

This package is part of the Enlightenment DR17 desktop shell.

%package devel
Summary: Headers and development libraries from %{name}
Group: Development/C
Requires: %name = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description devel
%{name} development headers and libraries.

%prep
%setup -q

%build
sed -i s,release_info=\"-release\ \$release\",release_info=\"\",g configure.ac
NOCONFIGURE=1 ./autogen.sh
%configure2_5x --disable-tests

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/%{name}_*
%_sysconfdir/%name/%name.cfg
%dir %{_datadir}/%name
%{_datadir}/%name/themes
%{_datadir}/%name/images
%{_libdir}/%name/engines/*.so
%{_libdir}/%name/plugins/*.so
%{_datadir}/%name/tutorials/*.dox
%{_libdir}/*.so.%{major}*
%{_libdir}/%name/engines/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/%name/engines/*.la
%{_libdir}/%name/plugins/*.la
%{_includedir}/%name
%{_datadir}/%name/examples



%changelog
* Thu Aug 20 2009 johnnyblack <johnnyblack at inbox.com> 0.5.3.050-2pclos2009
- rebuild against updated packages

* Tue May 26 2009 johnnyblack <johnnyblack@inbox.com> 0.5.3.050-1pclos0209
- create

